{"openapi": "3.1.0", "info": {"title": "Icosa Gallery API", "version": "1.0.0", "description": ""}, "paths": {"/v1/assets/{asset_url}": {"get": {"operationId": "icosa_api_assets_get_asset", "summary": "Get Asset", "parameters": [{"in": "path", "name": "asset_url", "schema": {"title": "Asset Url", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/AssetSchema"}}}}}, "tags": ["Assets"]}}, "/v1/assets": {"get": {"operationId": "icosa_api_assets_get_assets", "summary": "Get Assets", "parameters": [{"in": "query", "name": "orderBy", "schema": {"anyOf": [{"$ref": "#/components/schemas/FilterOrder"}, {"type": "null"}]}, "required": false}, {"in": "query", "name": "category", "schema": {"anyOf": [{"$ref": "#/components/schemas/FilterCategory"}, {"type": "null"}], "example": "ANIMALS", "q": "category__iexact"}, "required": false, "example": "ANIMALS"}, {"in": "query", "name": "curated", "schema": {"anyOf": [{"type": "boolean"}, {"type": "null"}], "title": "Curated"}, "required": false}, {"in": "query", "name": "format", "schema": {"anyOf": [{"items": {"$ref": "#/components/schemas/FilterFormat"}, "type": "array"}, {"type": "null"}], "description": "Filter by format", "q": "format__format_type__in", "title": "Format"}, "required": false, "description": "Filter by format"}, {"in": "query", "name": "keywords", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Keywords"}, "required": false}, {"in": "query", "name": "name", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "q": "name__icontains", "title": "Name"}, "required": false}, {"in": "query", "name": "description", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "q": "description__icontains", "title": "Description"}, "required": false}, {"in": "query", "name": "tag", "schema": {"items": {"type": "string"}, "q": "tags__name__in", "title": "Tag", "type": "array"}, "required": false}, {"in": "query", "name": "triangleCountMin", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Trianglecountmin"}, "required": false}, {"in": "query", "name": "triangleCountMax", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Trianglecountmax"}, "required": false}, {"in": "query", "name": "maxComplexity", "schema": {"anyOf": [{"$ref": "#/components/schemas/FilterComplexity"}, {"type": "null"}]}, "required": false}, {"in": "query", "name": "zipArchiveUrl", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "q": "format__zip_archive_url__icontains", "title": "Ziparchiveurl"}, "required": false}, {"in": "query", "name": "inCollection", "schema": {"anyOf": [{"type": "boolean"}, {"type": "null"}], "title": "Incollection"}, "required": false}, {"in": "query", "name": "authorName", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "q": "owner__displayname__icontains", "title": "Authorname"}, "required": false}, {"in": "query", "name": "authorId", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "q": "owner__url", "title": "Authorid"}, "required": false}, {"in": "query", "name": "license", "schema": {"anyOf": [{"$ref": "#/components/schemas/FilterLicense"}, {"type": "null"}]}, "required": false}, {"in": "query", "name": "pageToken", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Pagetoken"}, "required": false}, {"in": "query", "name": "pageSize", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Pagesize"}, "required": false}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/PagedAssetSchema"}}}}}, "tags": ["Assets"]}}, "/v1/collections": {"get": {"operationId": "icosa_api_asset_collections_collection_list", "summary": "Collection List", "parameters": [{"in": "query", "name": "pageToken", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Pagetoken"}, "required": false}, {"in": "query", "name": "pageSize", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Pagesize"}, "required": false}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/PagedAssetCollectionSchema"}}}}}, "tags": ["Collections"]}}, "/v1/collections/{asset_collection_url}": {"get": {"operationId": "icosa_api_asset_collections_collection_show", "summary": "Collection Show", "parameters": [{"in": "path", "name": "asset_collection_url", "schema": {"title": "Asset Collection Url", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/AssetCollectionSchema"}}}}}, "tags": ["Collections"]}}, "/v1/login/device_login": {"post": {"operationId": "icosa_api_login_device_login", "summary": "Device Login", "parameters": [{"in": "query", "name": "device_code", "schema": {"title": "Device Code", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/LoginToken"}}}}}, "tags": ["Login"]}}, "/v1/oembed": {"get": {"operationId": "icosa_api_oembed_oembed", "summary": "Oembed", "parameters": [{"in": "query", "name": "url", "schema": {"title": "Url", "type": "string"}, "required": false}, {"in": "query", "name": "format", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Format"}, "required": false}, {"in": "query", "name": "maxwidth", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Maxwidth"}, "required": false}, {"in": "query", "name": "maxheight", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Maxheight"}, "required": false}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/OembedOut"}}}}}, "tags": ["Oembed"]}}, "/v1/users/me": {"get": {"operationId": "icosa_api_users_show_my_user", "summary": "Show My User", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/FullUserSchema"}}}}}, "tags": ["Users"], "security": [{"JWTAuth": []}]}, "patch": {"operationId": "icosa_api_users_update_my_user", "summary": "Update My User", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/FullUserSchema"}}}}}, "tags": ["Users"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/PatchUserSchema"}}}, "required": true}, "security": [{"JWTAuth": []}]}}, "/v1/users/me/assets": {"get": {"operationId": "icosa_api_users_list_my_assets", "summary": "List My Assets", "parameters": [{"in": "query", "name": "category", "schema": {"anyOf": [{"$ref": "#/components/schemas/FilterCategory"}, {"type": "null"}], "example": "ANIMALS", "q": "category__iexact"}, "required": false, "example": "ANIMALS"}, {"in": "query", "name": "curated", "schema": {"anyOf": [{"type": "boolean"}, {"type": "null"}], "title": "Curated"}, "required": false}, {"in": "query", "name": "format", "schema": {"anyOf": [{"items": {"$ref": "#/components/schemas/FilterFormat"}, "type": "array"}, {"type": "null"}], "description": "Filter by format", "q": "format__format_type__in", "title": "Format"}, "required": false, "description": "Filter by format"}, {"in": "query", "name": "keywords", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Keywords"}, "required": false}, {"in": "query", "name": "name", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "q": "name__icontains", "title": "Name"}, "required": false}, {"in": "query", "name": "description", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "q": "description__icontains", "title": "Description"}, "required": false}, {"in": "query", "name": "tag", "schema": {"items": {"type": "string"}, "q": "tags__name__in", "title": "Tag", "type": "array"}, "required": false}, {"in": "query", "name": "triangleCountMin", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Trianglecountmin"}, "required": false}, {"in": "query", "name": "triangleCountMax", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Trianglecountmax"}, "required": false}, {"in": "query", "name": "maxComplexity", "schema": {"anyOf": [{"$ref": "#/components/schemas/FilterComplexity"}, {"type": "null"}]}, "required": false}, {"in": "query", "name": "zipArchiveUrl", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "q": "format__zip_archive_url__icontains", "title": "Ziparchiveurl"}, "required": false}, {"in": "query", "name": "inCollection", "schema": {"anyOf": [{"type": "boolean"}, {"type": "null"}], "title": "Incollection"}, "required": false}, {"in": "query", "name": "visibility", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Visibility"}, "required": false}, {"in": "query", "name": "orderBy", "schema": {"anyOf": [{"$ref": "#/components/schemas/FilterOrder"}, {"type": "null"}]}, "required": false}, {"in": "query", "name": "pageToken", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Pagetoken"}, "required": false}, {"in": "query", "name": "pageSize", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Pagesize"}, "required": false}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/PagedAssetSchemaPrivate"}}}}}, "tags": ["Users"], "security": [{"JWTAuth": []}]}, "post": {"operationId": "icosa_api_users_create_a_new_asset", "summary": "Create A New Asset", "parameters": [], "responses": {"201": {"description": "Created", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/UploadJobSchemaOut"}}}}}, "tags": ["Users"], "requestBody": {"content": {"multipart/form-data": {"schema": {"title": "MultiPartBodyParams", "type": "object", "properties": {"triangleCount": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Trianglecount"}, "remixIds": {"anyOf": [{"items": {"type": "string"}, "type": "array"}, {"type": "null"}], "title": "Remixids"}, "formatOverride": {"anyOf": [{"items": {"type": "string"}, "type": "array"}, {"type": "null"}], "title": "Formatoverride"}, "files": {"anyOf": [{"items": {"format": "binary", "type": "string"}, "type": "array"}, {"type": "null"}], "title": "Files"}}}}}, "required": true}, "security": [{"JWTAuthAsync": []}]}}, "/v1/users/me/assets/{asset_url}": {"get": {"operationId": "icosa_api_users_show_an_asset", "summary": "Show An Asset", "parameters": [{"in": "path", "name": "asset_url", "schema": {"title": "Asset Url", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/AssetSchemaPrivate"}}}}}, "tags": ["Users"], "security": [{"JWTAuth": []}]}, "delete": {"operationId": "icosa_api_users_delete_an_asset", "summary": "Delete An Asset", "parameters": [{"in": "path", "name": "asset_url", "schema": {"title": "Asset Url", "type": "string"}, "required": true}], "responses": {"204": {"description": "No Content"}, "400": {"description": "Bad Request", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/Error"}}}}}, "tags": ["Users"], "security": [{"JWTAuth": []}]}}, "/v1/users/me/assets/{asset_url}/set_thumbnail": {"post": {"operationId": "icosa_api_users_set_an_image_for_an_asset", "summary": "Set An Image For An Asset", "parameters": [{"in": "path", "name": "asset_url", "schema": {"title": "Asset Url", "type": "string"}, "required": true}], "responses": {"201": {"description": "Created", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/ImageSchema"}}}}, "400": {"description": "Bad Request", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/Error"}}}}}, "tags": ["Users"], "requestBody": {"content": {"multipart/form-data": {"schema": {"properties": {"image": {"format": "binary", "title": "Image", "type": "string"}}, "required": ["image"], "title": "FileParams", "type": "object"}}}, "required": true}, "security": [{"JWTAuthAsync": []}]}}, "/v1/users/me/likedassets": {"get": {"operationId": "icosa_api_users_list_my_likedassets", "summary": "List My Likedassets", "parameters": [{"in": "query", "name": "category", "schema": {"anyOf": [{"$ref": "#/components/schemas/FilterCategory"}, {"type": "null"}], "example": "ANIMALS", "q": "category__iexact"}, "required": false, "example": "ANIMALS"}, {"in": "query", "name": "curated", "schema": {"anyOf": [{"type": "boolean"}, {"type": "null"}], "title": "Curated"}, "required": false}, {"in": "query", "name": "format", "schema": {"anyOf": [{"items": {"$ref": "#/components/schemas/FilterFormat"}, "type": "array"}, {"type": "null"}], "description": "Filter by format", "q": "format__format_type__in", "title": "Format"}, "required": false, "description": "Filter by format"}, {"in": "query", "name": "keywords", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Keywords"}, "required": false}, {"in": "query", "name": "name", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "q": "name__icontains", "title": "Name"}, "required": false}, {"in": "query", "name": "description", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "q": "description__icontains", "title": "Description"}, "required": false}, {"in": "query", "name": "tag", "schema": {"items": {"type": "string"}, "q": "tags__name__in", "title": "Tag", "type": "array"}, "required": false}, {"in": "query", "name": "triangleCountMin", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Trianglecountmin"}, "required": false}, {"in": "query", "name": "triangleCountMax", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Trianglecountmax"}, "required": false}, {"in": "query", "name": "maxComplexity", "schema": {"anyOf": [{"$ref": "#/components/schemas/FilterComplexity"}, {"type": "null"}]}, "required": false}, {"in": "query", "name": "zipArchiveUrl", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "q": "format__zip_archive_url__icontains", "title": "Ziparchiveurl"}, "required": false}, {"in": "query", "name": "inCollection", "schema": {"anyOf": [{"type": "boolean"}, {"type": "null"}], "title": "Incollection"}, "required": false}, {"in": "query", "name": "authorName", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "q": "owner__displayname__icontains", "title": "Authorname"}, "required": false}, {"in": "query", "name": "authorId", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "q": "owner__url", "title": "Authorid"}, "required": false}, {"in": "query", "name": "license", "schema": {"anyOf": [{"$ref": "#/components/schemas/FilterLicense"}, {"type": "null"}]}, "required": false}, {"in": "query", "name": "orderBy", "schema": {"anyOf": [{"$ref": "#/components/schemas/FilterOrder"}, {"type": "null"}]}, "required": false}, {"in": "query", "name": "pageToken", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Pagetoken"}, "required": false}, {"in": "query", "name": "pageSize", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Pagesize"}, "required": false}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/PagedAssetSchema"}}}}}, "tags": ["Users"], "security": [{"JWTAuth": []}]}}, "/v1/users/me/collections": {"get": {"operationId": "icosa_api_users_get_my_collections", "summary": "Get My Collections", "parameters": [{"in": "query", "name": "pageToken", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Pagetoken"}, "required": false}, {"in": "query", "name": "pageSize", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Pagesize"}, "required": false}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/PagedAssetCollectionSchema"}}}}}, "tags": ["Users"], "security": [{"JWTAuth": []}]}, "post": {"operationId": "icosa_api_users_create_a_collection", "summary": "Create A Collection", "parameters": [], "responses": {"201": {"description": "Created", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/AssetCollectionSchemaWithRejections"}}}}, "400": {"description": "Bad Request", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/Error"}}}}}, "tags": ["Users"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AssetCollectionPostSchema"}}}, "required": true}, "security": [{"JWTAuth": []}]}}, "/v1/users/me/collections/{asset_collection_url}": {"get": {"operationId": "icosa_api_users_show_a_collection", "summary": "Show A Collection", "parameters": [{"in": "path", "name": "asset_collection_url", "schema": {"title": "Asset Collection Url", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/AssetCollectionSchema"}}}}}, "tags": ["Users"], "security": [{"JWTAuth": []}]}, "patch": {"operationId": "icosa_api_users_update_a_collection", "summary": "Update A Collection", "parameters": [{"in": "path", "name": "asset_collection_url", "schema": {"title": "Asset Collection Url", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/AssetCollectionSchemaWithRejections"}}}}, "400": {"description": "Bad Request", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/Error"}}}}}, "tags": ["Users"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AssetCollectionPatchSchema"}}}, "required": true}, "security": [{"JWTAuth": []}]}, "delete": {"operationId": "icosa_api_users_delete_a_collection", "summary": "Delete A Collection", "parameters": [{"in": "path", "name": "asset_collection_url", "schema": {"title": "Asset Collection Url", "type": "string"}, "required": true}], "responses": {"204": {"description": "No Content"}}, "tags": ["Users"], "security": [{"JWTAuth": []}]}}, "/v1/users/me/collections/{asset_collection_url}/set_assets": {"put": {"operationId": "icosa_api_users_overwrite_assets_for_a_collection", "summary": "Overwrite Assets For A Collection", "parameters": [{"in": "path", "name": "asset_collection_url", "schema": {"title": "Asset Collection Url", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/AssetCollectionSchemaWithRejections"}}}}, "400": {"description": "Bad Request", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/Error"}}}}}, "tags": ["Users"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AssetCollectionPutSchema"}}}, "required": true}, "security": [{"JWTAuth": []}]}}, "/v1/users/me/collections/{asset_collection_url}/set_thumbnail": {"post": {"operationId": "icosa_api_users_set_an_image_for_a_collection", "summary": "Set An Image For A Collection", "parameters": [{"in": "path", "name": "asset_collection_url", "schema": {"title": "Asset Collection Url", "type": "string"}, "required": true}], "responses": {"201": {"description": "Created", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/ImageSchema"}}}}, "400": {"description": "Bad Request", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/Error"}}}}}, "tags": ["Users"], "requestBody": {"content": {"multipart/form-data": {"schema": {"properties": {"image": {"format": "binary", "title": "Image", "type": "string"}}, "required": ["image"], "title": "FileParams", "type": "object"}}}, "required": true}, "security": [{"JWTAuthAsync": []}]}}}, "components": {"schemas": {"AssetFormat": {"properties": {"root": {"anyOf": [{"$ref": "#/components/schemas/AssetResource"}, {"type": "null"}]}, "resources": {"anyOf": [{"items": {"$ref": "#/components/schemas/AssetResource"}, "type": "array"}, {"type": "null"}], "title": "Resources"}, "formatComplexity": {"$ref": "#/components/schemas/FormatComplexity"}, "formatType": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Formattype"}, "zip_archive_url": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Zip Archive Url"}, "role": {"anyOf": [{"type": "string"}, {"type": "null"}], "deprecated": true, "description": "This field is deprecated. Do not rely on it for anything.", "title": "Role"}, "isPreferredForDownload": {"title": "Ispreferredfordownload", "type": "boolean"}, "isPreferredForGalleryViewer": {"title": "Ispreferredforgalleryviewer", "type": "boolean"}, "isCorsAllowed": {"title": "Iscorsallowed", "type": "boolean"}}, "required": ["formatComplexity", "isPreferredForDownload", "isPreferredForGalleryViewer", "isCorsAllowed"], "title": "AssetFormat", "type": "object"}, "AssetResource": {"properties": {"relativePath": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Relativepath"}, "contentType": {"title": "Contenttype", "type": "string"}, "url": {"title": "Url", "type": "string"}}, "required": ["contentType", "url"], "title": "AssetResource", "type": "object"}, "AssetSchema": {"properties": {"authorId": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Authorid"}, "authorName": {"title": "Authorname", "type": "string"}, "name": {"title": "Name", "type": "string"}, "description": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Description"}, "createTime": {"format": "date-time", "title": "Createtime", "type": "string"}, "updateTime": {"anyOf": [{"format": "date-time", "type": "string"}, {"type": "null"}], "title": "Updatetime"}, "url": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Url"}, "assetId": {"title": "Assetid", "type": "string"}, "displayName": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Displayname"}, "visibility": {"title": "Visibility", "type": "string"}, "tags": {"default": [], "items": {"type": "string"}, "title": "Tags", "type": "array"}, "isCurated": {"anyOf": [{"type": "boolean"}, {"type": "null"}], "title": "Iscurated"}, "thumbnail": {"anyOf": [{"$ref": "#/components/schemas/Thumbnail"}, {"type": "null"}]}, "triangleCount": {"title": "Trianglecount", "type": "integer"}, "license": {"title": "License", "type": "string"}, "licenseVersion": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Licenseversion"}, "isIcosaGalleryCompatible": {"title": "Isicosagallerycompatible", "type": "boolean"}, "presentationParams": {"anyOf": [{"additionalProperties": true, "type": "object"}, {"type": "null"}], "title": "Presentationparams"}, "formats": {"items": {"$ref": "#/components/schemas/AssetFormat"}, "title": "Formats", "type": "array"}}, "required": ["authorName", "name", "description", "createTime", "updateTime", "url", "assetId", "displayName", "visibility", "thumbnail", "triangleCount", "license", "licenseVersion", "isIcosaGalleryCompatible", "formats"], "title": "AssetSchema", "type": "object"}, "FormatComplexity": {"properties": {"triangleCount": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Trianglecount"}, "lodHint": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Lodhint"}}, "title": "FormatComplexity", "type": "object"}, "Thumbnail": {"properties": {"relativePath": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Relativepath"}, "contentType": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Contenttype"}, "url": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Url"}}, "title": "Thumbnail", "type": "object"}, "FilterCategory": {"enum": ["MISCELLANEOUS", "ANIMALS", "ARCHITECTURE", "ART", "CULTURE", "EVENTS", "FOOD", "HISTORY", "HOME", "NATURE", "OBJECTS", "PEOPLE", "PLACES", "SCIENCE", "SPORTS", "TECH", "TRANSPORT", "TRAVEL", ""], "title": "FilterCategory", "type": "string"}, "FilterComplexity": {"enum": ["COMPLEX", "MEDIUM", "SIMPLE"], "title": "FilterComplexity", "type": "string"}, "FilterFormat": {"enum": ["TILT", "BLOCKS", "GLTF", "GLTF1", "GLTF2", "OBJ", "FBX", "VOX", "-TILT", "-BLOCKS", "-GLTF", "-GLTF1", "-GLTF2", "-OBJ", "-FBX", "-VOX"], "title": "FilterFormat", "type": "string"}, "FilterLicense": {"enum": ["REMIXABLE", "ALL_CC", "CREATIVE_COMMONS_BY_3_0", "CREATIVE_COMMONS_BY_ND_3_0", "CREATIVE_COMMONS_BY_4_0", "CREATIVE_COMMONS_BY_ND_4_0", "CREATIVE_COMMONS_BY", "CREATIVE_COMMONS_BY_ND", "CREATIVE_COMMONS_0"], "title": "FilterLicense", "type": "string"}, "FilterOrder": {"enum": ["NEWEST", "OLDEST", "BEST", "CREATE_TIME", "-CREATE_TIME", "UPDATE_TIME", "-UPDATE_TIME", "TRIANGLE_COUNT", "-TRIANGLE_COUNT", "LIKED_TIME", "-LIKED_TIME", "LIKES", "-LIKES", "DOWNLOADS", "-DOWNLOADS", "DISPLAY_NAME", "-DISPLAY_NAME", "AUTHOR_NAME", "-AUTHOR_NAME"], "title": "FilterOrder", "type": "string"}, "FiltersAsset": {"properties": {"category": {"anyOf": [{"$ref": "#/components/schemas/FilterCategory"}, {"type": "null"}], "example": "ANIMALS", "q": "category__iexact"}, "curated": {"anyOf": [{"type": "boolean"}, {"type": "null"}], "title": "Curated"}, "format": {"anyOf": [{"items": {"$ref": "#/components/schemas/FilterFormat"}, "type": "array"}, {"type": "null"}], "description": "Filter by format", "q": "format__format_type__in", "title": "Format"}, "keywords": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Keywords"}, "name": {"anyOf": [{"type": "string"}, {"type": "null"}], "q": "name__icontains", "title": "Name"}, "description": {"anyOf": [{"type": "string"}, {"type": "null"}], "q": "description__icontains", "title": "Description"}, "tag": {"items": {"type": "string"}, "q": "tags__name__in", "title": "Tag", "type": "array"}, "triangleCountMin": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Trianglecountmin"}, "triangleCountMax": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Trianglecountmax"}, "maxComplexity": {"anyOf": [{"$ref": "#/components/schemas/FilterComplexity"}, {"type": "null"}]}, "zipArchiveUrl": {"anyOf": [{"type": "string"}, {"type": "null"}], "q": "format__zip_archive_url__icontains", "title": "Ziparchiveurl"}, "inCollection": {"anyOf": [{"type": "boolean"}, {"type": "null"}], "title": "Incollection"}, "authorName": {"anyOf": [{"type": "string"}, {"type": "null"}], "q": "owner__displayname__icontains", "title": "Authorname"}, "authorId": {"anyOf": [{"type": "string"}, {"type": "null"}], "q": "owner__url", "title": "Authorid"}, "license": {"anyOf": [{"$ref": "#/components/schemas/FilterLicense"}, {"type": "null"}]}}, "title": "FiltersAsset", "type": "object"}, "FiltersOrder": {"properties": {"orderBy": {"anyOf": [{"$ref": "#/components/schemas/FilterOrder"}, {"type": "null"}]}}, "title": "FiltersOrder", "type": "object"}, "Input": {"properties": {"pageToken": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Pagetoken"}, "pageSize": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Pagesize"}}, "title": "Input", "type": "object"}, "PagedAssetSchema": {"properties": {"assets": {"items": {"$ref": "#/components/schemas/AssetSchema"}, "title": "Assets", "type": "array"}, "totalSize": {"title": "Totalsize", "type": "integer"}, "nextPageToken": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Nextpagetoken"}}, "required": ["assets", "totalSize"], "title": "PagedAssetSchema", "type": "object"}, "AssetCollectionSchema": {"properties": {"collectionId": {"title": "Collectionid", "type": "string"}, "name": {"title": "Name", "type": "string"}, "description": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Description"}, "url": {"title": "Url", "type": "string"}, "createTime": {"format": "date-time", "title": "Createtime", "type": "string"}, "updateTime": {"anyOf": [{"format": "date-time", "type": "string"}, {"type": "null"}], "title": "Updatetime"}, "visibility": {"title": "Visibility", "type": "string"}, "imageUrl": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Imageurl"}, "assets": {"anyOf": [{"items": {"$ref": "#/components/schemas/AssetSchema"}, "type": "array"}, {"type": "null"}], "title": "Assets"}}, "required": ["collectionId", "name", "url", "createTime", "updateTime", "visibility"], "title": "AssetCollectionSchema", "type": "object"}, "PagedAssetCollectionSchema": {"properties": {"collections": {"items": {"$ref": "#/components/schemas/AssetCollectionSchema"}, "title": "Collections", "type": "array"}, "totalSize": {"title": "Totalsize", "type": "integer"}, "nextPageToken": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Nextpagetoken"}}, "required": ["collections", "totalSize"], "title": "PagedAssetCollectionSchema", "type": "object"}, "LoginToken": {"properties": {"access_token": {"title": "Access Token", "type": "string"}, "token_type": {"title": "Token Type", "type": "string"}}, "required": ["access_token", "token_type"], "title": "LoginToken", "type": "object"}, "OembedOut": {"properties": {"type": {"const": "rich", "title": "Type", "type": "string"}, "version": {"const": "1.0", "title": "Version", "type": "string"}, "title": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Title"}, "author_name": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Author Name"}, "author_url": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Author Url"}, "provider_name": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Provider Name"}, "provider_url": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Provider Url"}, "cache_age": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Cache Age"}, "thumbnail_url": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Thumbnail Url"}, "thumbnail_width": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Thumbnail Width"}, "thumbnail_height": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Thumbnail Height"}, "html": {"title": "Html", "type": "string"}, "width": {"title": "Width", "type": "integer"}, "height": {"title": "Height", "type": "integer"}}, "required": ["type", "version", "html", "width", "height"], "title": "OembedOut", "type": "object"}, "FullUserSchema": {"properties": {"id": {"title": "Id", "type": "integer"}, "username": {"title": "Username", "type": "string"}, "email": {"format": "email", "title": "Email", "type": "string"}, "displayName": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Displayname"}, "description": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Description"}, "url": {"title": "Url", "type": "string"}}, "required": ["id", "username", "email", "url"], "title": "FullUserSchema", "type": "object"}, "PatchUserSchema": {"properties": {"url": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Url"}, "displayname": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Displayname"}, "description": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Description"}}, "title": "PatchUserSchema", "type": "object"}, "FiltersUserAsset": {"properties": {"category": {"anyOf": [{"$ref": "#/components/schemas/FilterCategory"}, {"type": "null"}], "example": "ANIMALS", "q": "category__iexact"}, "curated": {"anyOf": [{"type": "boolean"}, {"type": "null"}], "title": "Curated"}, "format": {"anyOf": [{"items": {"$ref": "#/components/schemas/FilterFormat"}, "type": "array"}, {"type": "null"}], "description": "Filter by format", "q": "format__format_type__in", "title": "Format"}, "keywords": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Keywords"}, "name": {"anyOf": [{"type": "string"}, {"type": "null"}], "q": "name__icontains", "title": "Name"}, "description": {"anyOf": [{"type": "string"}, {"type": "null"}], "q": "description__icontains", "title": "Description"}, "tag": {"items": {"type": "string"}, "q": "tags__name__in", "title": "Tag", "type": "array"}, "triangleCountMin": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Trianglecountmin"}, "triangleCountMax": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Trianglecountmax"}, "maxComplexity": {"anyOf": [{"$ref": "#/components/schemas/FilterComplexity"}, {"type": "null"}]}, "zipArchiveUrl": {"anyOf": [{"type": "string"}, {"type": "null"}], "q": "format__zip_archive_url__icontains", "title": "Ziparchiveurl"}, "inCollection": {"anyOf": [{"type": "boolean"}, {"type": "null"}], "title": "Incollection"}, "visibility": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Visibility"}}, "title": "FiltersUserAsset", "type": "object"}, "AssetSchemaPrivate": {"properties": {"authorId": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Authorid"}, "authorName": {"title": "Authorname", "type": "string"}, "name": {"title": "Name", "type": "string"}, "description": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Description"}, "createTime": {"format": "date-time", "title": "Createtime", "type": "string"}, "updateTime": {"anyOf": [{"format": "date-time", "type": "string"}, {"type": "null"}], "title": "Updatetime"}, "url": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Url"}, "assetId": {"title": "Assetid", "type": "string"}, "displayName": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Displayname"}, "visibility": {"title": "Visibility", "type": "string"}, "tags": {"default": [], "items": {"type": "string"}, "title": "Tags", "type": "array"}, "isCurated": {"anyOf": [{"type": "boolean"}, {"type": "null"}], "title": "Iscurated"}, "thumbnail": {"anyOf": [{"$ref": "#/components/schemas/Thumbnail"}, {"type": "null"}]}, "triangleCount": {"title": "Trianglecount", "type": "integer"}, "license": {"title": "License", "type": "string"}, "licenseVersion": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Licenseversion"}, "isIcosaGalleryCompatible": {"title": "Isicosagallerycompatible", "type": "boolean"}, "presentationParams": {"anyOf": [{"additionalProperties": true, "type": "object"}, {"type": "null"}], "title": "Presentationparams"}, "formats": {"items": {"$ref": "#/components/schemas/AssetFormat"}, "title": "Formats", "type": "array"}, "state": {"title": "State", "type": "string"}}, "required": ["authorName", "name", "description", "createTime", "updateTime", "url", "assetId", "displayName", "visibility", "thumbnail", "triangleCount", "license", "licenseVersion", "isIcosaGalleryCompatible", "formats", "state"], "title": "AssetSchemaPrivate", "type": "object"}, "PagedAssetSchemaPrivate": {"properties": {"assets": {"items": {"$ref": "#/components/schemas/AssetSchemaPrivate"}, "title": "Assets", "type": "array"}, "totalSize": {"title": "Totalsize", "type": "integer"}, "nextPageToken": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Nextpagetoken"}}, "required": ["assets", "totalSize"], "title": "PagedAssetSchemaPrivate", "type": "object"}, "UploadJobSchemaOut": {"properties": {"publishUrl": {"title": "Publishurl", "type": "string"}, "assetId": {"title": "Assetid", "type": "string"}}, "required": ["publishUrl", "assetId"], "title": "UploadJobSchemaOut", "type": "object"}, "AssetMetaData": {"properties": {"triangleCount": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Trianglecount"}, "remixIds": {"anyOf": [{"items": {"type": "string"}, "type": "array"}, {"type": "null"}], "title": "Remixids"}, "formatOverride": {"anyOf": [{"items": {"type": "string"}, "type": "array"}, {"type": "null"}], "title": "Formatoverride"}}, "title": "AssetMetaData", "type": "object"}, "Error": {"properties": {"message": {"title": "Message", "type": "string"}}, "required": ["message"], "title": "Error", "type": "object"}, "ImageSchema": {"properties": {"url": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Url"}}, "title": "ImageSchema", "type": "object"}, "AssetCollectionSchemaWithRejections": {"properties": {"collection": {"$ref": "#/components/schemas/AssetCollectionSchema"}, "rejectedAssetUrls": {"anyOf": [{"items": {"type": "string"}, "type": "array"}, {"type": "null"}], "title": "Rejectedasseturls"}}, "required": ["collection"], "title": "AssetCollectionSchemaWithRejections", "type": "object"}, "AssetCollectionPostSchema": {"properties": {"name": {"title": "Name", "type": "string"}, "description": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Description"}, "visibility": {"anyOf": [{"$ref": "#/components/schemas/AssetVisibility"}, {"type": "null"}]}, "asset_url": {"anyOf": [{"items": {"type": "string"}, "type": "array"}, {"type": "null"}], "title": "Asset Url"}}, "required": ["name"], "title": "AssetCollectionPostSchema", "type": "object"}, "AssetVisibility": {"enum": ["PRIVATE", "PUBLIC", "UNLISTED"], "title": "AssetVisibility", "type": "string"}, "AssetCollectionPatchSchema": {"properties": {"name": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Name"}, "description": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Description"}, "visibility": {"anyOf": [{"$ref": "#/components/schemas/AssetVisibility"}, {"type": "null"}]}, "asset_url": {"anyOf": [{"items": {"type": "string"}, "type": "array"}, {"type": "null"}], "title": "Asset Url"}}, "title": "AssetCollectionPatchSchema", "type": "object"}, "AssetCollectionPutSchema": {"properties": {"asset_url": {"anyOf": [{"items": {"type": "string"}, "type": "array"}, {"type": "null"}], "title": "Asset Url"}}, "title": "AssetCollectionPutSchema", "type": "object"}}, "securitySchemes": {"JWTAuth": {"type": "http", "scheme": "bearer"}, "JWTAuthAsync": {"type": "http", "scheme": "bearer"}}}, "servers": [{"url": "https://api.icosa.gallery", "description": "Production server"}]}